<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org">
<head>
    <meta charset="UTF-8"/>
    <title th:text="|${directors.firstName} Details|">Directors Details</title>
</head>
<body>

<a th:href="@{/directors}">back</a>

<p></p>
<div class="btn-group" style="width:100%">
    <input type="button" onclick="location.href='/movies';" style=width:20%; value="Movies"/>
    <input type="button" onclick="location.href='/actors';" style=width:20%; value="Actors"/>
    <input type="button" onclick="location.href='/directors';" style=width:20%; value="Directors"/>
    <input type="button" onclick="location.href='/users';" style=width:20%; value="Users"/>
</div>



<!-- text has to be surrounded by `|` for multiple variables OR variable + text -->
<p th:text="|${directors.firstName} ${directors.lastName}|"></p>

<p th:if="${directors.movies.isEmpty()}">No movies!</p>

<ul th:unless="${directors.movies.isEmpty()}"></p>
    <li th:each="movie : ${directors.movies}">
        <a th:href="@{/directors/{id}(id=${movie.id})}"
           th:text="|${movie.title} - ${movie.dateOfRelease}|"></a>
    </li>
</ul>
<!-- <button type="button" onclick="delete">delete!</button> -->



</form>
</body>
